# what's where?
include GNUmakevars


all: \
	entdecker-in-theophilus.jpg \
	test-tfk_2000.jpg \
	test-mvh.jpg \
	hangargalerie.jpg \
	test-metagrav.jpg \
	test-entdecker.jpg \
	test-strut.jpg \
	polansicht.jpg \
	suedpol.jpg \
	suedpol2.jpg \
	test-antigrav.jpg \
	test-aussenstromgravojet.jpg \
	test-impulstriebwerk.jpg \
	test-kombiblock.jpg \
	test-vesta.jpg \

uninteresting: \
	test-torus.jpg \
	entdecker1.jpg \

movie: entdecker-in-theophilus.pov 
	$(POVRAY) +L$(POVINC) +V -I$< +FP +W200 +H300 \
		+KI0 +KF60 +KFI0 +KFF120 \
		+SF40 +EF100 \
		+HTX

%.ppm: %.pov
	$(POVRAY) +L$(POVINC) +V -I$< +FP

%.pov: make%
	$< > $@

entdecker-in-theophilus.ppm: entdecker-in-theophilus.pov entdecker.pov \
    kombiblock.pov \
    aussenstromgravojet.pov impulstriebwerk.pov antigrav.pov \
    metagrav.pov tfk_2000.pov ortungsband.pov
	$(POVRAY) +L$(POVINC) +V -I$< +FP +W800 +H1200

hangargalerie.ppm: hangargalerie.pov entdecker.pov vesta.pov mvh.pov \
    ortungsband.pov

polansicht.ppm: polansicht.pov entdecker.pov \
    aussenstromgravojet.pov impulstriebwerk.pov antigrav.pov \
    metagrav.pov tfk_2000.pov ortungsband.pov
    
suedpol.ppm: suedpol.pov entdecker.pov \
    aussenstromgravojet.pov impulstriebwerk.pov antigrav.pov \
    metagrav.pov tfk_2000.pov ortungsband.pov
    
suedpol2.ppm: suedpol2.pov entdecker.pov \
    aussenstromgravojet.pov impulstriebwerk.pov antigrav.pov \
    metagrav.pov tfk_2000.pov ortungsband.pov
    
test-antigrav.ppm: test-antigrav.pov antigrav.pov

test-aussenstromgravojet.ppm: test-aussenstromgravojet.pov aussenstromgravojet.pov

test-entdecker.ppm: test-entdecker.pov entdecker.pov \
    kombiblock.pov \
    aussenstromgravojet.pov impulstriebwerk.pov antigrav.pov \
    metagrav.pov tfk_2000.pov ortungsband.pov

test-impulstriebwerk.ppm: test-impulstriebwerk.pov impulstriebwerk.pov

test-kombiblock.ppm: test-kombiblock.pov kombiblock.pov \
    aussenstromgravojet.pov impulstriebwerk.pov antigrav.pov

test-metagrav.ppm: test-metagrav.pov metagrav.pov 16_lines.map.gif \
    16_lines_v_capped.map.gif

test-mvh.ppm: test-mvh.pov mvh.pov

test-tfk_2000.ppm: test-tfk_2000.pov tfk_2000.pov

test-strut.ppm: test-strut.pov strut.pov

test-vesta.ppm: test-vesta.pov vesta.pov
test-ortungsband.ppm: test-ortungsband.pov ortungsband.pov

%.gif: %.ppm
	ppmquant 256 $< | ppmtogif > $@

%.gif: %.pbm
	ppmtogif $< > $@

%.jpg: %.ppm
	cjpeg $< > $@

www/%: %
	cp $< $@
